Bug 1749975 (CVE-2019-15222) - CVE-2019-15222 kernel: Null pointer dereference in the sound/usb/helper.c
Summary: CVE-2019-15222 kernel: Null pointer dereference in the sound/usb/helper.c
Keywords:
Status: NEW
Alias: CVE-2019-15222
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1749985
Blocks: 1749986
TreeView+ depends on / blocked
 
Reported: 2019-09-07 01:18 UTC by Pedro Sampaio
Modified: 2019-09-09 16:40 UTC (History)
40 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Pedro Sampaio 2019-09-07 01:18:53 UTC
An issue was discovered in the Linux kernel before 5.2.8. There is a NULL pointer dereference caused by a malicious USB device in the sound/usb/helper.c (motu_microbookii) driver.

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=5d78e1c2b7f4be00bbe62141603a631dc7812f35

References:

https://syzkaller.appspot.com/bug?id=3ec1dad62657fef22282536d7532dbb65eee778a
http://www.openwall.com/lists/oss-security/2019/08/20/2

Comment 1 Pedro Sampaio 2019-09-07 02:32:42 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1749985]

Comment 2 Justin M. Forbes 2019-09-09 07:05:27 UTC
This was fixed for Fedora users with the 5.2.8 stable kernel updates.


Note You need to log in before you can comment on or make changes to this bug.